# Class TableRowActionExecutingDirective

- Defined in packages/angular/material/table-system/src/lib/table-row-actions/table-row-action-executing.directive.ts:11

#####
Index

### Constructors

constructor

### Properties

templateRef

### Methods

hide
show

##
Constructors

### constructor

- new TableRowActionExecutingDirective(
  templateRef: TemplateRef<void>,
  vcr: ViewContainerRef,
  ): TableRowActionExecutingDirective

  #### Parameters

  - templateRef: TemplateRef<void>
  - vcr: ViewContainerRef

  #### Returns TableRowActionExecutingDirective

  - Defined in packages/angular/material/table-system/src/lib/table-row-actions/table-row-action-executing.directive.ts:12

##
Properties

### `Readonly` templateRef

templateRef: TemplateRef<void>

- Defined in packages/angular/material/table-system/src/lib/table-row-actions/table-row-action-executing.directive.ts:13

##
Methods

### hide

- hide(): void

  #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/table-row-actions/table-row-action-executing.directive.ts:22

### show

- show(): void

  #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/table-row-actions/table-row-action-executing.directive.ts:18